aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2019-03-02 19:05:25 +0100
committerHorea Christian <horea.christ@yandex.com>2019-03-02 19:07:33 +0100
commit9c3493015edd58f073ee3d0493753721a04a7d6b (patch)
tree6c8cb1bfbdc9ab05c680330526d9f83c75446ead
parentsys-cluster/openmpi: bump 2.1.6 (diff)
downloadsci-9c3493015edd58f073ee3d0493753721a04a7d6b.tar.gz
sci-9c3493015edd58f073ee3d0493753721a04a7d6b.tar.bz2
sci-9c3493015edd58f073ee3d0493753721a04a7d6b.zip
sci-biology/afni: version bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Horea Christian <horea.christ@yandex.com>
-rw-r--r--profiles/package.mask1
-rw-r--r--sci-biology/afni/Manifest1
-rw-r--r--sci-biology/afni/afni-19.0.21.ebuild68
3 files changed, 70 insertions, 0 deletions
diff --git a/profiles/package.mask b/profiles/package.mask
index 25cd51884..9f3e2465b 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -39,6 +39,7 @@ sci-biology/samri
# or more generally unbundling. Masked until unbundling
# efforts ( https://github.com/afni/afni/pull/60 ) come to
# fruition.
+=sci-biology/afni-19.0.21
=sci-biology/afni-18.1.04
# Sebastien Fabbro <bicatali@gentoo.org> (23 Aug 2011)
diff --git a/sci-biology/afni/Manifest b/sci-biology/afni/Manifest
index 3e93e8aa6..7a32c9376 100644
--- a/sci-biology/afni/Manifest
+++ b/sci-biology/afni/Manifest
@@ -1 +1,2 @@
DIST afni-18.1.04.tar.gz 196776384 BLAKE2B 389c2dcf11bf3e3d067cbe1cce772a299b6f9096e21936616893041f72b2d3f490b3bed6ef10d94dd5f7c08436206379339a05384ac005349f55d40bb241e695 SHA512 16151d2512d115a2e4531932cbfd50cb1cf6c2e5c809d91fb439495d7d62f2d50f05f5f411395af0cc24e9a34bf8e98efd389b9e50bc75f783e051e7ab3db121
+DIST afni-19.0.21.tar.gz 38228297 BLAKE2B 2d04b1d27c39bfbdfe9319a464920604b21f646e0f68d3d06d9ffffd7415e7c299fff983316834b84417a303229731abd2799a6f20e1edab56188726124ed436 SHA512 fbc01ca2acb5f6d64f539942661e9500407ccf5f6d583c7685eac85b81326414e3d9959372c49ed6f6b95f5b0fca2e936207a47313b753ffd3190dc8c474b78a
diff --git a/sci-biology/afni/afni-19.0.21.ebuild b/sci-biology/afni/afni-19.0.21.ebuild
new file mode 100644
index 000000000..104015772
--- /dev/null
+++ b/sci-biology/afni/afni-19.0.21.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils multilib pax-utils toolchain-funcs
+
+DESCRIPTION="An open-source environment for processing and displaying functional MRI data"
+HOMEPAGE="http://afni.nimh.nih.gov/"
+SRC_URI="https://github.com/afni/afni/archive/AFNI_${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-libs/expat
+ media-libs/netpbm
+ media-libs/qhull
+ media-video/mpeg-tools
+ sci-libs/gsl
+ sys-devel/llvm:*
+ virtual/jpeg:0
+ x11-libs/libGLw
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libXpm
+ x11-libs/motif[-static-libs]"
+
+# x11-libs/motif[static-libs] breaks the build.
+# See upstream discussion
+# http://afni.nimh.nih.gov/afni/community/board/read.php?1,85348,85348#msg-85348
+
+DEPEND="${RDEPEND}
+ app-shells/tcsh"
+
+S="${WORKDIR}/${PN}-AFNI_${PV}/src"
+BUILD="linux_fedora_19_64"
+BIN_CONFLICTS=(qdelaunay whirlgif djpeg cjpeg qhull rbox count mpeg_encode)
+
+src_prepare() {
+ find -type f -exec sed -i -e "s/-lXp //g" {} +
+ cp other_builds/Makefile.${BUILD} Makefile || die "Could not copy Makefile"
+ sed -e "s~CC = /usr/bin/gcc -O2 -m64~CC = $(tc-getCC) \$(CFLAGS)~" \
+ -e "s~CCMIN = /usr/bin/gcc -m64~CCMIN = $(tc-getCC) \$(CFLAGS)~" \
+ -e "s~LD = /usr/bin/gcc~LD = $(tc-getCC)~" \
+ -e "s~AR = /usr/bin/ar~AR = $(tc-getAR)~" \
+ -e "s~RANLIB = /usr/bin/ranlib~RANLIB = $(tc-getRANLIB)~" \
+ -i Makefile || die "Could not edit Makefile"
+ # they provide somewhat problematic makefiles :(
+ sed -e "s~ifeq ($(CC),gcc)~ifeq (1,1)~"\
+ -i SUMA/SUMA_Makefile || die "Could not edit SUMA/SUMA_Makefile"
+ # upstream checks if $CC is EXACTLY gcc, else sets variables for Mac
+ find "${S}" -iname "*Makefile*" | xargs sed -e "s~/usr/~${EROOT}/usr/~g;" -i
+ eapply_user
+}
+
+src_compile() {
+ emake -j1 all plugins suma_exec
+}
+
+src_install() {
+ emake INSTALLDIR="${ED}/usr/bin" -j1 install install_plugins
+ emake INSTALLDIR="${ED}/usr/$(get_libdir)" -j1 install_lib
+ for CONFLICT in ${BIN_CONFLICTS[@]}; do
+ rm "${ED}/usr/bin/${CONFLICT}"
+ done
+}